import { Observable } from 'rxjs';
export function unsubscribe(unsubStream) {
    return function (source) {
        return new Observable(function (observer) {
            var subscription = source.subscribe({
                next: function (value) { return observer.next(value); },
                error: function (err) { return observer.error(err); },
                complete: function () { return observer.complete(); },
            });
            unsubStream.subscribe(function () {
                subscription.unsubscribe();
                observer.complete();
            });
            return subscription;
        });
    };
}
//# sourceMappingURL=unsubscribe.js.map